<?php
/**
 * DBCart 商城系统
 *
 * ==========================================================================
 * @link      https://www.dbcart.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://www.dbcart.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

namespace Admin\Validator;

final class Resources
{

    private function __construct()
    {
    }

    public static function getBasePath()
    {
        return __DIR__ . '/languages/';
    }

    public static function getPatternForCaptcha()
    {
        return '%s/Zend_Captcha.php';
    }

    public static function getPatternForValidator()
    {
        return '%s/Zend_Validate.php';
    }
}
